#!/bin/bash -e
#
# Installs Grafana for the monitoring front end.
#
###############################################################################

set -o pipefail

###############################################################################

hash sudo
hash chmod
hash chown
hash mkdir
hash pacman

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Installing Grafana...                                                -"
echo "------------------------------------------------------------------------"

sudo pacman -S --needed --noconfirm grafana

###############################################################################

echo "------------------------------------------------------------------------"
echo "- Configuring...                                                       -"
echo "------------------------------------------------------------------------"

sudo mkdir "/monitoring/grafana"
sudo chown grafana:grafana "/monitoring/grafana"
sudo chmod 500 "/monitoring/grafana"

###############################################################################

echo "------------------------------------------------------------------------"
echo "- DONE!                                                                -"
echo "------------------------------------------------------------------------"

###############################################################################
